Bug 595413 - inconsistencies in btrecord man page
inconsistencies in btrecord man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: blktrace (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Edward Shishkin
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 10:47 EDT by Milos Malik
Modified: 2015-01-04 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 976797 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0718 normal SHIPPED_LIVE blktrace bug fix update 2011-05-18 14:09:42 EDT

  None (edit)
Description Milos Malik 2010-05-24 10:47:17 EDT
Description of problem:
Man page contains '--input-base' option instead of '--input-directory' option which is recognized by the utility. Man page does not contain '--max-bunch-time' option which is recognized by the utility.

Version-Release number of selected component (if applicable):
blktrace-1.0.1-3.1.el6.i686

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
# ./compare-options.sh `which btrecord`
Program path:
	/usr/bin/btrecord
Guessing man page path:
	/usr/share/man/man8/btrecord.8.gz
According to binary analysis the binary supports 18 option(s):
	--find-traces
	--help
	--input-directory
	--max-bunch-time
	--max-pkts
	--output-base
	--output-directory
	--verbose
	--version
	-D
	-F
	-M
	-V
	-d
	-h
	-m
	-o
	-v
Usage message contains 0 UNSUPPORTED option(s):
Usage message OMITS 0 supported option(s):
Man page contains 1 UNSUPPORTED option(s):
	--input-base
Man page OMITS 1 supported option(s):
	--max-bunch-time
#
Comment 1 RHEL Product and Program Management 2010-05-24 11:06:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 RHEL Product and Program Management 2010-07-15 10:50:10 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Edward Shishkin 2010-07-30 10:24:38 EDT
The fixup has been sent to the upstream:

http://marc.info/?l=linux-btrace&m=128049870115477&w=2
Comment 5 Eric Sandeen 2010-10-29 17:36:08 EDT
Sending blktrace bugs over to Edward, as he did the upstream work for them.
Comment 9 errata-xmlrpc 2011-05-19 10:10:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0718.html

Note You need to log in before you can comment on or make changes to this bug.